public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libnl/
Date: Tue, 12 Jan 2021 23:34:15 +0000 (UTC)	[thread overview]
Message-ID: <1610494452.4947b1f61d9cb2db76a6f555f58ce9cb50e3fd72.sam@gentoo> (raw)

commit:     4947b1f61d9cb2db76a6f555f58ce9cb50e3fd72
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 12 23:21:52 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 23:34:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4947b1f6

dev-libs/libnl: add Python 3.9

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libnl/libnl-3.5.0.ebuild    | 29 ++++++++++-------------------
 dev-libs/libnl/libnl-99999999.ebuild | 26 +++++++++++---------------
 2 files changed, 21 insertions(+), 34 deletions(-)

diff --git a/dev-libs/libnl/libnl-3.5.0.ebuild b/dev-libs/libnl/libnl-3.5.0.ebuild
index b59acf1f18f..e94fa798a8f 100644
--- a/dev-libs/libnl/libnl-3.5.0.ebuild
+++ b/dev-libs/libnl/libnl-3.5.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 DISTUTILS_OPTIONAL=1
 inherit distutils-r1 libtool multilib-minimal
 
@@ -13,34 +13,25 @@ LIBNL_DIR=${LIBNL_DIR//./_}
 
 DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
 HOMEPAGE="http://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
-SRC_URI="
-	https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz
-"
+SRC_URI="https://github.com/thom311/${PN}/releases/download/${PN}${LIBNL_DIR}/${P/_rc/-rc}.tar.gz"
+S="${WORKDIR}/${LIBNL_P}"
+
 LICENSE="LGPL-2.1 utils? ( GPL-2 )"
 SLOT="3"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
 IUSE="+debug static-libs python +threads utils"
 
-RDEPEND="
-	python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
-	${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
 BDEPEND="
 	${RDEPEND}
 	python? ( dev-lang/swig )
 	sys-devel/bison
 	sys-devel/flex
 "
-REQUIRED_USE="
-	python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
-	ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-S=${WORKDIR}/${LIBNL_P}
+DOCS=( ChangeLog )
 
 MULTILIB_WRAPPED_HEADERS=(
 	# we do not install CLI stuff for non-native
@@ -103,5 +94,5 @@ multilib_src_install() {
 
 multilib_src_install_all() {
 	einstalldocs
-	find "${D}" -name '*.la' -delete || die
+	find "${ED}" -name '*.la' -delete || die
 }

diff --git a/dev-libs/libnl/libnl-99999999.ebuild b/dev-libs/libnl/libnl-99999999.ebuild
index cf078de887a..b90a505c18e 100644
--- a/dev-libs/libnl/libnl-99999999.ebuild
+++ b/dev-libs/libnl/libnl-99999999.ebuild
@@ -1,38 +1,33 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
 DISTUTILS_OPTIONAL=1
 inherit autotools distutils-r1 git-r3 multilib-minimal
 
 DESCRIPTION="Libraries providing APIs to netlink protocol based Linux kernel interfaces"
 HOMEPAGE="http://www.infradead.org/~tgr/libnl/ https://github.com/thom311/libnl"
 EGIT_REPO_URI="https://github.com/thom311/libnl"
+
 LICENSE="LGPL-2.1 utils? ( GPL-2 )"
 SLOT="3"
 KEYWORDS=""
 IUSE="+debug static-libs python +threads utils"
 
-RDEPEND="
-	python? ( ${PYTHON_DEPS} )
-"
-DEPEND="
-	${RDEPEND}
-"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
 BDEPEND="
 	${RDEPEND}
 	sys-devel/bison
 	sys-devel/flex
 	python? ( dev-lang/swig )
 "
-REQUIRED_USE="
-	python? ( ${PYTHON_REQUIRED_USE} )
-"
-DOCS=(
-	ChangeLog
-)
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DOCS=( ChangeLog )
+
 MULTILIB_WRAPPED_HEADERS=(
 	# we do not install CLI stuff for non-native
 	/usr/include/libnl3/netlink/cli/addr.h
@@ -48,6 +43,7 @@ MULTILIB_WRAPPED_HEADERS=(
 	/usr/include/libnl3/netlink/cli/tc.h
 	/usr/include/libnl3/netlink/cli/utils.h
 )
+
 PATCHES=(
 	"${FILESDIR}"/${PN}-99999999-2to3.patch
 )
@@ -107,5 +103,5 @@ multilib_src_install() {
 
 multilib_src_install_all() {
 	einstalldocs
-	find "${D}" -name '*.la' -delete || die
+	find "${ED}" -name '*.la' -delete || die
 }


             reply	other threads:[~2021-01-12 23:34 UTC|newest]

Thread overview: 129+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-12 23:34 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-03 16:11 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libnl/ Arthur Zamarin
2024-10-03 10:24 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-10-02 22:53 Sam James
2024-09-05 16:44 Sam James
2024-08-08  5:49 Viorel Munteanu
2024-07-24  7:19 Viorel Munteanu
2024-07-20  5:07 Sam James
2024-07-20  5:07 Sam James
2024-06-11  0:10 Sam James
2024-05-28 14:03 Sam James
2024-05-28 13:19 Sam James
2024-05-28 13:19 Sam James
2024-05-28 12:35 Sam James
2024-05-28 12:29 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-12 12:29 Conrad Kostecki
2023-12-04 12:38 Sam James
2023-10-01 18:23 Arthur Zamarin
2023-10-01  7:02 Sam James
2023-10-01  4:53 Sam James
2023-10-01  4:53 Sam James
2023-10-01  4:04 Sam James
2023-10-01  4:04 Sam James
2023-09-30  9:00 Sam James
2023-09-06  7:12 Joonas Niilola
2023-09-01  7:54 Sam James
2023-09-01  3:56 Sam James
2023-03-09  6:21 Sam James
2022-12-30  7:59 Sam James
2022-12-16 20:45 Arthur Zamarin
2022-12-16 20:45 Arthur Zamarin
2022-12-16  7:51 Sam James
2022-12-16  7:51 Sam James
2022-12-16  7:51 Sam James
2022-08-06  2:55 Sam James
2022-07-18 22:23 Sam James
2022-07-18 22:23 Sam James
2022-05-05 23:48 WANG Xuerui
2022-04-25  2:49 Sam James
2022-01-14 14:41 Arthur Zamarin
2021-12-24  8:02 Sam James
2021-12-08 16:02 David Seifert
2021-12-08 11:19 David Seifert
2021-09-21 12:31 James Le Cuirot
2021-09-21 12:31 James Le Cuirot
2021-03-14 20:47 Conrad Kostecki
2021-01-07  5:14 Sam James
2021-01-07  5:11 Sam James
2021-01-03 12:10 Sergei Trofimovich
2021-01-03 11:51 Sergei Trofimovich
2021-01-01 11:21 Sergei Trofimovich
2020-12-29 21:26 Sam James
2020-12-29 20:38 Sam James
2020-12-29 17:14 Sam James
2020-09-27  9:44 Jeroen Roovers
2020-09-26 21:34 Sergei Trofimovich
2020-09-24  6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:31 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 21:52 Thomas Deutschmann
2020-09-20  2:40 Sam James
2020-06-21 11:42 Jeroen Roovers
2020-04-16 20:40 Mart Raudsepp
2020-02-11 12:16 Michał Górny
2019-12-30 12:03 Jeroen Roovers
2019-12-30 12:03 Jeroen Roovers
2019-12-04 16:37 Aaron Bauman
2019-10-14  8:53 Jeroen Roovers
2019-09-01 14:50 Jeroen Roovers
2019-06-16 10:53 David Seifert
2019-05-05 13:35 Mikle Kolyada
2018-07-20  9:57 Jeroen Roovers
2018-07-20  9:51 Jeroen Roovers
2018-07-11 13:21 Mikle Kolyada
2018-07-09 22:10 Mikle Kolyada
2018-06-28 12:31 Mart Raudsepp
2018-06-27 22:15 Sergei Trofimovich
2018-06-27 10:05 Tobias Klausmann
2018-06-25  6:21 Sergei Trofimovich
2018-06-24 19:41 Sergei Trofimovich
2018-06-24 12:05 Jeroen Roovers
2018-06-24 10:18 Sergei Trofimovich
2018-05-10 14:43 Jeroen Roovers
2018-05-10 13:15 Jeroen Roovers
2017-12-20  0:21 Jeroen Roovers
2017-12-20  0:21 Jeroen Roovers
2017-10-11 20:24 Jeroen Roovers
2017-10-11 20:24 Jeroen Roovers
2017-10-02 20:49 Jeroen Roovers
2017-09-21  9:17 Jeroen Roovers
2017-05-03 15:55 Jeroen Roovers
2017-03-07  7:45 Jeroen Roovers
2017-03-01 13:22 Michael Weber
2017-01-29 16:19 Fabian Groffen
2017-01-01 19:23 Jeroen Roovers
2016-12-31  1:00 Jeroen Roovers
2016-12-31  1:00 Jeroen Roovers
2016-12-31  0:01 Jeroen Roovers
2016-12-31  0:01 Jeroen Roovers
2016-12-22  9:34 Agostino Sarubbo
2016-12-16 10:19 Tobias Klausmann
2016-12-15 17:38 Jeroen Roovers
2016-09-11 18:50 Jeroen Roovers
2016-09-11 18:50 Jeroen Roovers
2016-07-09  8:26 Jeroen Roovers
2016-06-30 19:24 Jeroen Roovers
2016-02-16  5:12 Jeroen Roovers
2016-01-11  9:07 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-19 22:08 Markus Meier
2015-12-19 12:51 Jeroen Roovers
2015-12-14 14:12 Agostino Sarubbo
2015-10-17 11:24 Jeroen Roovers
2015-09-28  3:10 Jeroen Roovers
2015-09-26 19:21 Jeroen Roovers
2015-09-24  7:59 Agostino Sarubbo
2015-09-21 11:27 Agostino Sarubbo
2015-09-02 19:47 Markus Meier
2015-09-01  4:38 Jeroen Roovers
2015-08-30 14:38 Tobias Klausmann
2015-08-26 10:43 Agostino Sarubbo
2015-08-22  5:08 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1610494452.4947b1f61d9cb2db76a6f555f58ce9cb50e3fd72.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox